Page MenuHomeFreeBSD

sysutils/azure-agent: Update to 2.2.13
ClosedPublic

Authored by garga on Jun 13 2017, 2:34 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, May 21, 12:26 PM
Unknown Object (File)
Tue, May 21, 4:46 AM
Unknown Object (File)
Sun, May 19, 11:23 AM
Unknown Object (File)
Sat, May 18, 10:45 AM
Unknown Object (File)
Wed, May 1, 9:46 PM
Unknown Object (File)
Mon, Apr 29, 7:17 AM
Unknown Object (File)
Mon, Apr 29, 7:17 AM
Unknown Object (File)
Mon, Apr 29, 7:17 AM
Subscribers

Details

Summary

Update sysutils/azure-agent to 2.2.13

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

The fix looks ok to me. But I need to verify whether 2.2.13 works fine on Azure, and there is no error complained in the log.

We have to modify the $PATH in init/FreeBSD/waagent, otherwise, we'll see an error in /var/log/waagent.log even though it does not hurt any functionality:

2017/06/14 10:42:48.911241 ERROR Command: 'dmidecode --string system-uuid'
2017/06/14 10:42:48.919290 ERROR Return code: 127
2017/06/14 10:42:48.921803 ERROR Result: /bin/sh: dmidecode: not found

sysutils/azure-agent/Makefile
46 ↗(On Diff #29539)

Here we need to add one more replace.

+ ${REINPLACE_CMD} -e "s,:/usr/local/bin,:/usr/local/bin:/usr/local/sbin,g" \
+ ${WRKSRC}/init/freebsd/waagent
USE_PYTHON= autoplist distutils

This revision is now accepted and ready to land.Jun 16 2017, 6:34 AM
garga edited edge metadata.
  • Adjust PATH in init/FreeBSD/waagent as submitted by maintainer
  • Pet portlint
    • Use TABs instead of spaces in variable attributions
    • Remove 'The' from COMMENT
    • Reorder variable definitions
This revision now requires review to proceed.Jun 19 2017, 4:46 PM

Can you please review it again @honzhan_microsoft.com ?

This revision is now accepted and ready to land.Jun 21 2017, 8:47 AM
This revision was automatically updated to reflect the committed changes.